/**
 * @file timing_logic.h
 * @brief Timing Logic Module header
 *
 * Proyecto Smart Watch - Timing Logic
 * Timing logic module
 *
 * This module is used to set functions periodically in the Smartwatch
 *
 * timing_logic.h
 * Module used to configure the clock of the smartwatch and to set periodic functions
 *
 * @authors Leonardo Martínez <leonardo.martinez.hornak@fing.edu.uy>, Isabel Morales <imorales@fing.edu.uy>
 * @version 1.0
 * @date May 22, 2021
 */

#ifndef INCLUDE_TIMING_LOGIC_H_
#define INCLUDE_TIMING_LOGIC_H_

/**
 * @brief Configures clock systems of the MPS432P401R according to connection to MSP432 Launchpad. It sets the following configuration:
 */
void initializeTimingLogic(void);

/**
* @brief Obtains the current time in milliseconds
* @return unsigned int time: Time in milliseconds
*/
unsigned int getCurrentMilisecondsTime(void);

#endif /* INCLUDE_TIMING_LOGIC_H_ */
